# Frequently Asked Questions (FAQ)

## Où puis-je trouver la liste des PC certifiés par Ubuntu ?

Vous pouvez trouver la listes du matériel certifié par Ubuntu [ici](https://ubuntu.com/certified).

## Quelles sont les marques recommandées pour l'installation de GNU Linux ?

Nous recommandons l'achat d'ordinateurs vendus avec le système d'exploitation GNU Linux, tels que [Tuxedo](https://www.tuxedocomputers.com/), sur lesquels vous pouvez obtenir 5\% de réduction à l'aide de votre carte d'étudiant. Les marques plus communes dont la compatibilité est bonne avec GNU Linux sont Dell, et Lenovo (la gamme Thinkpad en particulier). 

## Quelles sont les spécifications recommandées pour les cours?

Nous vous recommandons d'avoir suffisamment de ports USB (au moins 3). Vous devez également avoir un espace disque suffisant, soit environ **200GB dédiés à GNU Linux** pour toute votre scolarité. Il n'est pas nécessaire de posséder une carte graphique puissante (un GPU intégré à la carte mère va très bien) pour les cours, ni d'un processeur dernier cri.

## Quel matériel est déconseillé pour l'installation de GNU Linux?

Nous déconseillons l'achat de matériel Asus, car la création d'un dual boot GNU Linux est très complexe. Nous déconseillons également les architectures ARM (p.ex. les processeurs Snapdragon X), car elles ne sont pas très bien supportées pour le moment sous GNU Linux. Nous déconseillons également les ordinateurs de gaming, tels que les Asus ROG, Dell Alienware, ou encore HP Omen.

De manière générale, tout matériel trop récent (composants datant de moins d'un an) sont déconseillés, car pas toujours très bien supportés par GNU Linux.

## Quelles précautions prendre avant de tenter une installation de GNU Linux

Effectuez **impérativement** une sauvegarde de vos données avant l'installation de GNU Linux (pensez à le faire avant de venir vous faire aider à l'école pour faire l'installation également).
En effet, l'installation d'un dual-boot comporte un (faible) risque et pourrait vous faire perdre toutes les données non-sauvegardées de votre ordinateur.

## Quelle version de GNU Linux sera installée ?

Nous utiliserons la distribution **Ubuntu 24.04 LTS**, en partant de l'image ISO officielle [téléchargeable ici](https://ubuntu.com/download/). La procédure d'installation sera réalisée en classe avec l'aide du personnel enseignant.
Vous n'êtes pas forcé d'utiliser spécifiquement cette version, mais cela sera beaucoup plus facile de réaliser le cursus avec une distribution basée sur Ubuntu (Ubuntu, Xubuntu, Kubuntu, Lubuntu, etc. voir [ici](https://ubuntu.com/download/flavours) pour la liste complète).


## Des applications supplémentaires seront à installer ?

Oui, vous installerez des applications et packages supplémentaires lors de la procédure d'installation en cours.
Ceux-ci seront nécessaire au bon déroulement des cours de 1ère année.


## Peut-on mettre en place un dual-boot Windows + Ubuntu ?

Oui, absolument. Cette solution est d'ailleurs très nettement préférable à l'installation de GNU Linux dans une machine virtuelle.


## Est-il possible d'installer GNU Linux dans une machine virtuelle sur un Mac ?

Oui, cela est possible grâce à l'utilisation d'un hyperviseur installé sur votre système OSX. Cet hyperviseur permet d'exécuter une machine virtuelle dans laquelle s'exécute un système d'exploitation GNU Linux.

Nous mettrons à disposition une machine virtuelle contenant l'environnement GNU Linux nécessaire aux enseignements.
Nous recommandons l'hyperviseur [Virtualbox](https://www.virtualbox.org/wiki/Downloads) car celui-ci est librement disponible pour les plateformes les plus courantes, dont OSX.
Ceci dit, vous pouvez également utiliser d'autres hyperviseurs, comme VMWare Fusion.

Néanmoins, nous avons constaté certaines incompatibilités dans certains cours lors de l'utilisation de VMs, et nous vous conseillons d'éviter cette solution.

## Est-il possible d'installer GNU Linux dans une machine virtuelle sur un PC Windows ?

Oui, cela est possible grâce à l'utilisation d'un hyperviseur installé sur votre système Windows. Cet hyperviseur permet d'exécuter une machine virtuelle dans laquelle s'exécute un système d'exploitation GNU Linux.

Nous mettrons à disposition une machine virtuelle contenant l'environnement GNU Linux nécessaire aux enseignements.
Nous recommandons l'hyperviseur [Virtualbox](https://www.virtualbox.org/wiki/Downloads) car celui-ci est librement disponible pour les plateformes les plus courantes, dont Windows.
Ceci dit, vous pouvez également utiliser d'autres hyperviseurs, comme VMWare Fusion.

Il existe aussi Ubuntu pour Windows, mais cette solution n'est pas aussi aboutie et complète que la solution discutée plus haut.

Néanmoins, nous avons constaté certaines incompatibilités dans certains cours lors de l'utilisation de VMs, et nous vous conseillons d'éviter cette solution.

## Est-ce qu'utiliser un adaptateur multiport pour ajouter des ports USB-A, HDMI, etc. peut poser problème ?

Non, à priori cela ne devrait pas poser de problème.
